summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--source4/script/mkproto.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/source4/script/mkproto.sh b/source4/script/mkproto.sh
index 43b0b52950..6cd9cd6018 100644
--- a/source4/script/mkproto.sh
+++ b/source4/script/mkproto.sh
@@ -33,6 +33,12 @@ mkdir -p `dirname $header`
${perl} script/mkproto.pl $headeropt $proto_src > $headertmp
+RET=$?
+
+if test x"$RET" != x"0";then
+ exit $RET
+fi
+
if cmp -s $header $headertmp 2>/dev/null
then
echo "$header unchanged"